export const handleCall = (phone: string) => {
  uni.makePhoneCall({ phoneNumber: phone })
}
export const isImageOrVideo = (url) => {
  const ext = url.split('.').pop().toLowerCase()
  if (['jpg', 'jpeg', 'png', 'gif', 'bmp', 'webp'].includes(ext)) {
    return 'image'
  } else if (['mp4', 'avi', 'mov', 'mkv', 'webm', 'flv'].includes(ext)) {
    return 'video'
  } else {
    return 'unknown'
  }
}
export const requestToast = async <T>(
  func: () => Promise<IResData<T>>,
  options: { error?: boolean; errorTitle?: string; success?: boolean; successTitle?: string } = {
    error: true,
  },
) => {
  const { code, data, msg } = await func()
  if (code === 0 && options.success) {
    uni.showToast({
      title: options.successTitle,
      icon: 'none',
    })
  }
  if (code !== 0 && options.error) {
    uni.showToast({
      title: options.errorTitle || msg,
      icon: 'none',
    })
  }
  return { code, data, msg }
}
